Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 456814

Summary: app-emulation/qemu-1.2.2-r3[ncurses] fails configure with sys-libs/ncurses[tinfo]
Product: Gentoo Linux Reporter: Maciej Piechotka <uzytkownik2>
Component: New packagesAssignee: Gentoo QEMU Project <qemu>
Status: RESOLVED WONTFIX    
Severity: normal CC: jlec
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 457530    
Attachments: curses[tinfo].patch

Description Maciej Piechotka 2013-02-11 17:42:52 UTC
>>> Configuring source in /var/tmp/portage/app-emulation/qemu-1.2.2-r3/work/qemu-kvm-1.2.0 ...
 * Building the following softmmu targets: ,i386-softmmu,x86_64-softmmu,arm-softmmu
 * Building the following user targets: ,i386-linux-user,x86_64-linux-user,arm-linux-user
 * ./configure --prefix=/usr --sysconfdir=/etc --docdir=/usr/share/doc/qemu-1.2.2-r3/html --disable-bsd-user --disable-guest-agent --disable-libiscsi --disable-strip --disable-werror --python=python2 --disable-linux-user --enable-system --target-list=,i386-softmmu,x86_64-softmmu,arm-softmmu --enable-bluez --enable-sdl --enable-linux-aio --disable-brlapi --enable-cap-ng --enable-curl --disable-fdt --enable-vnc-jpeg --enable-kvm --enable-nptl --enable-curses --enable-opengl --enable-vnc-png --disable-rbd --disable-vnc-sasl --enable-seccomp --disable-smartcard --disable-smartcard-nss --enable-spice --disable-vnc-tls --disable-usb-redir --enable-uuid --disable-vde --enable-vhost-net --enable-virtfs --enable-vnc --enable-attr --disable-xen --disable-xen-pci-passthrough --disable-xfsctl --audio-drv-list=pa,sdl,alsa,oss --disable-debug-info --disable-debug-tcg --disable-docs --disable-tcg-interpreter
ERROR
ERROR: User requested feature curses
ERROR: configure was not able to find it
ERROR
Comment 1 Doug Goldstein gentoo-dev 2013-02-12 04:23:00 UTC
Could be related to bug #454216.
Comment 2 Justin Lecher gentoo-dev 2013-02-14 12:08:49 UTC
Created attachment 338856 [details, diff]
curses[tinfo].patch
Comment 3 Justin Lecher gentoo-dev 2013-02-14 12:09:25 UTC
Upstream already merged a patch, please backport. Attached patch applies straight.
Comment 4 Doug Goldstein gentoo-dev 2013-03-17 03:03:20 UTC
(In reply to comment #3)
> Upstream already merged a patch, please backport. Attached patch applies
> straight.

Link please? Or commit ID.
Comment 5 Sergei Trofimovich gentoo-dev 2013-03-17 06:07:45 UTC
> > Upstream already merged a patch, please backport. Attached patch applies
> > straight.
> 
> Link please? Or commit ID.

http://git.qemu.org/?p=qemu.git;a=commitdiff;h=ecbe251fa0eb4905c4a82c887e37057243b9fbad

commit ecbe251fa0eb4905c4a82c887e37057243b9fbad
Author: Vadim Evard <v.e.evard@gmail.com>
Date:   Tue Jan 15 16:17:24 2013 +0400
                                                                                                    
    configure: try pkg-config for curses
Comment 6 Doug Goldstein gentoo-dev 2013-07-27 03:52:15 UTC
Marking this won't fix since the affected version is out of the tree.